@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: linear-gradient(135deg, #d41e31, #491f8f);
}
.card {
  position: relative;
  width: 600px;
  height: 350px;
  margin: 20px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  border-radius: 20px;
  background: linear-gradient(135deg, #d41e31, #491f8f);
}
.card img {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  height: 400px;
  transition: 0.5s;
}
.card:hover img {
  left: 80%;
  height: 500px;
}
.card .content {
  position: relative;
  width: 50%;
  left: 20%;
  padding: 20px 20px 20px 40px;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s;
}
.card:hover .content {
  opacity: 1;
  visibility: visible;
  left: 0%;
}

.card .content h2 {
  color: #ffffff;
  text-transform: uppercase;
  font-size: 2.5em;
  line-height: 1em;
}

.card .content p {
  color: #ffffff;
  font-size: 13px;
}

.card .content a {
  position: relative;
  display: inline-block;
  color: #111;
  padding: 10px 20px;
  border-radius: 10px;
  background: #fff;
  margin-top: 10px;
  text-decoration: none;
}
@media (max-width: 991px) {
  .card {
    position: relative;
    width: auto;
    max-width: 600px;
    transition: 0.5s;
    align-items: flex-start;
  }
  .card:hover {
    height: 600px;
  }
  .card:hover img {
    left: 50%;
    height: 350px;
  }
  .card .content {
    width: 100%;
    left: 0;
    padding: 40px;
  }
  .card .content p {
    color: #ffffff;
    font-size: 16px;
  }
}
@media (max-width: 421px) {
  .card .content {
    padding: 30px;
  }
  .card:hover img {
    height: 300px;
  }
  .card .content p {
    color: #ffffff;
    font-size: 10px;
  }
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}
/* ==========
Variables
========== */
:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --white: #fff;
}
